Ubuntu UI Toolkit no longer builds on precise, quantal and raring

Bug #1237045 reported by Francis Ginther
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Thumbnailer
Fix Released
Undecided
Unassigned
Ubuntu UI Toolkit
Won't Fix
High
Jussi Pakkanen
thumbnailer (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

If you take a look at ppa:ubuntu-sdk-team/ppa, you'll find that ubuntu-ui-toolkit no longer builds for raring, quantal and precise. Which means developers would have to use saucy to use the sdk.

The issue is libthumbnailer, which also doesn't build on those same architectures (thumbnailer is also in the same PPA).

Related branches

Revision history for this message
Francis Ginther (fginther) wrote :
Changed in ubuntu-ui-toolkit:
status: New → Confirmed
Revision history for this message
Nicholas Skaggs (nskaggs) wrote :

I believe if this is to be supported, libthumbnailer-dev needs packaged on the other distros. A separate bug may be needed for this.

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in thumbnailer (Ubuntu):
status: New → Confirmed
Revision history for this message
Robert Schroll (rschroll) wrote :

This is more than just an inconvenience. The toolkit has diverged enough since this problem hit that code that runs on precise, quantal, and raring will no longer run on saucy or trusty, and vice versa. In particular, the internal API used by OptionSelectorDelegates has changed; see #1257529.

Revision history for this message
Tim Peeters (tpeeters) wrote :

Currently the dash uses the thumbnailer (image://thumbnail/foo image paths come from the scopes), and some central place to cache and create thumbnails is needed, see https://bugs.launchpad.net/unity8/+bug/1224998

Tim Peeters (tpeeters)
Changed in ubuntu-ui-toolkit:
assignee: nobody → Jussi Pakkanen (jpakkane)
importance: Undecided → Critical
Revision history for this message
Jussi Pakkanen (jpakkane) wrote :

There is a possible fix for thumbnailer at lp:~jpakkane/thumbnailer/raringfix. Could someone verify if that fixes it on older versions?

Revision history for this message
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:thumbnailer at revision 61, scheduled for release in thumbnailer, milestone Unknown

Changed in thumbnailer:
status: New → Fix Committed
Revision history for this message
Jussi Pakkanen (jpakkane) wrote :

As of today, the full fix is in thumbnailer trunk. With a new PPA UITK is now buildable on precise again.

Changed in ubuntu-ui-toolkit:
status: Confirmed → Invalid
Revision history for this message
Robert Schroll (rschroll) wrote :

Is this going to make it into the ubuntu-sdk-team ppa? If so, on what sort of time scale?

Also, I notice that the ubuntu-ui-toolkit is no longer building for saucy, due to missing 'qtbase5-dev (>= 5.2~)'. Since precise, quantal, and raring are still on 5.0.2 in this ppa, I fear they will still fail to build even when the thumbnailer is fixed.

Revision history for this message
Tim Peeters (tpeeters) wrote :
Changed in thumbnailer:
status: Fix Committed → Confirmed
Revision history for this message
Tim Peeters (tpeeters) wrote :

no thumbnailer package for raring, quantal, precise. I'm re-opening the bug.

https://launchpad.net/~ubuntu-sdk-team/+archive/ppa/+packages?batch=75&memo=75&start=75

Tim Peeters (tpeeters)
Changed in ubuntu-ui-toolkit:
status: Invalid → Confirmed
Revision history for this message
Jussi Pakkanen (jpakkane) wrote :

Condensed version of the email I sent you:

the package builder uses revision 56, trunk (which has the fix) is at 62. Package build configuration needs to be changed to use trunk.

Revision history for this message
Daniel Holbach (dholbach) wrote :

This fails to build even with r62: http://paste.ubuntu.com/6874966/

The obvious changes (http://paste.ubuntu.com/6874968/) didn't help.

Revision history for this message
Jussi Pakkanen (jpakkane) wrote :

You need a PPA with GStreamer 1.0. It should be in the sdk PPA as discussed above.

Revision history for this message
Zoltan Balogh (bzoltan) wrote :

We have gstreamer 1.0 backported to the PPA, but the thumbnailer build fails to build: https://launchpad.net/~ubuntu-sdk-team/+archive/ppa/+build/5085931

Revision history for this message
Tim Peeters (tpeeters) wrote :

Do we really need this image provider in UITK? Why is it not a separate module+package?

Which apps are using it now, and why can't they depend on the thumbnailer instead of having it in UITK?

Revision history for this message
Michał Sawicz (saviq) wrote :

Video thumbnails are generated for the dash using the thumbnailer, long-term plan was indeed to take it out of UITK, with an all-purpsose image cacher (see bug #1224998).

Revision history for this message
Jussi Pakkanen (jpakkane) wrote :

This is exactly the same issue as in comment #12. The builder uses revision 56, it needs to use trunk (r61) which has the fix.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package thumbnailer - 1.0+14.04.20140218-0ubuntu1

---------------
thumbnailer (1.0+14.04.20140218-0ubuntu1) trusty; urgency=low

  [ Ricardo Salveti de Araujo ]
  * vs-thumb: give pipeline at least 3 seconds to preroll

  [ Jussi Pakkanen ]
  * Created a unique_gobj class for managing gobject based resources.
  * Fix use of #includes. (LP: #1237045)
  * A bunch of fixes to make the project compile on precise.
  * Removed accidentally added file.
  * Invalidate cached images when source has changed.
 -- Ubuntu daily release <email address hidden> Tue, 18 Feb 2014 23:01:31 +0000

Changed in thumbnailer (Ubuntu):
status: Confirmed → Fix Released
Changed in thumbnailer:
status: Confirmed → Fix Released
Tim Peeters (tpeeters)
Changed in ubuntu-ui-toolkit:
status: Confirmed → Won't Fix
Tim Peeters (tpeeters)
Changed in ubuntu-ui-toolkit:
status: Won't Fix → Confirmed
Changed in ubuntu-ui-toolkit:
importance: Critical → High
Revision history for this message
Zoltan Balogh (bzoltan) wrote :

The listed series are not targets fro the UITK anymore

Changed in ubuntu-ui-toolkit:
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers